<?php

namespace App\Entity\Ag;

use App\Entity\Members;
use App\Repository\Ag\MainVoteRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MainVoteRepository::class)]
#[ORM\Table(name: 'ag_main_vote')]
class MainVote
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'agVotes')]
    private ?Members $member = null;

    #[ORM\Column(length: 255)]
    private ?string $role = null;

    #[ORM\Column]
    private ?int $pour = null;

    #[ORM\Column]
    private ?int $contre = null;

    #[ORM\ManyToOne(inversedBy: 'mainVote')]
    private ?Main $main = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getMember(): ?Members
    {
        return $this->member;
    }

    public function setMember(?Members $member): static
    {
        $this->member = $member;

        return $this;
    }

    public function getRole(): ?string
    {
        return $this->role;
    }

    public function setRole(string $role): static
    {
        $this->role = $role;

        return $this;
    }

    public function getPour(): ?int
    {
        return $this->pour;
    }

    public function setPour(int $pour): static
    {
        $this->pour = $pour;

        return $this;
    }

    public function getContre(): ?int
    {
        return $this->contre;
    }

    public function setContre(int $contre): static
    {
        $this->contre = $contre;

        return $this;
    }

    public function getMain(): ?Main
    {
        return $this->main;
    }

    public function setMain(?Main $main): static
    {
        $this->main = $main;

        return $this;
    }
}
